topsyscall(1m)

NAME
topsyscall - top syscalls by syscall name. Uses DTrace.

SYNOPSIS
topsyscall [-Cs] [interval [count]]

DESCRIPTION
This program continually prints a report of the top system calls, and refreshes the display every 1 second or as specified at the command line. Since this uses DTrace, only users with root privileges can run this command.

OPTIONS

-C  don't clear the screen

-s  print per second values

EXAMPLES

Default output, 1 second updates,
    # topsyscall

Print every 5 seconds,
    # topsyscall 5

Print a scrolling output,
    # topsyscall -C

FIELDS

load avg
    load averages, see uptime(1)

syscalls
    total syscalls in this interval

syscalls/s
    syscalls per second

SYSCALL
    system call name

COUNT
    total syscalls in this interval

COUNT/s
    syscalls per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
topsyscall will run until Ctrl-C is hit, or the specified interval is reached.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), prstat(1M)